¡Ojo al pasar a Servlets 2.4!

Si nos da por adoptar las tecnologías más novedosas (esas que llevan sólo dos años con nosotros) normalmente nos encontramos con que algo que dábamos por supuesto ha cambiado. Y para no ser menos, con Servlets 2.4 ocurre lo mismo.

Hasta ahora no era necesario especificar la versión que estábamos utilizando, ya que cada revisión añadía cosas obre la anterior, pero parece ser que ahora no, o al menos con Tomcat 5. Para que reconozca que nuestra aplicación web se ciñe a la versión 2.4, hemos de pasar del arcaico DTD que se solía incluir antes y utilizar un schema (más molón) e indicar la versión en el atributo correspondiente, de forma que nos quedará un elemento raíz tal que:

<web-app
xmlns=”http://java.sun.com/xml/ns/j2ee&#8221;
xmlns:xsi=”http://www.w3.org/2001/XMLSchema-instance&#8221;
xsi:schemaLocation=”http://java.sun.com/xml/ns/j2ee
http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd&#8221;
version=”2.4″>

Ahora ya podemos disfrutar de JSTL 1.1, y “expression language” más avanzado, incluso con funciones…alegría, alegría.

Anuncios

Un comentario en “¡Ojo al pasar a Servlets 2.4!

  1. U truly generated many terrific points with ur post, “¡Ojo al pasar a Servlets 2.
    4! Blogging for Nothing”. I am going to possibly be returning to ur page soon.
    With thanks -Kendra

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s